Bug 975145 (CVE-2013-2449) - CVE-2013-2449 OpenJDK: GnomeFileTypeDetector path access check (Libraries, 8004288)
Summary: CVE-2013-2449 OpenJDK: GnomeFileTypeDetector path access check (Libraries, 80...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-2449
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 973111
TreeView+ depends on / blocked
 
Reported: 2013-06-17 17:01 UTC by Stefan Cornelius
Modified: 2019-09-29 13:05 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-17 16:27:37 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2013:0957 normal SHIPPED_LIVE Critical: java-1.7.0-openjdk security update 2013-06-20 04:03:33 UTC
Red Hat Product Errata RHSA-2013:0958 normal SHIPPED_LIVE Important: java-1.7.0-openjdk security update 2013-06-20 04:03:25 UTC
Red Hat Product Errata RHSA-2013:0963 normal SHIPPED_LIVE Critical: java-1.7.0-oracle security update 2013-11-13 16:09:17 UTC
Red Hat Product Errata RHSA-2013:1060 normal SHIPPED_LIVE Critical: java-1.7.0-ibm security update 2013-11-13 16:13:46 UTC

Description Stefan Cornelius 2013-06-17 17:01:32 UTC
It was discovered that the GnomeFileTypeDetector did not check for read permissions. An untrusted Java application or applet could possibly use this flaw to disclose potentially sensitive information.

Comment 1 Jan Lieskovsky 2013-06-19 13:42:30 UTC
External References:

http://www.oracle.com/technetwork/topics/security/javacpujun2013-1899847.html

Comment 2 errata-xmlrpc 2013-06-20 00:08:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 5

Via RHSA-2013:0958 https://rhn.redhat.com/errata/RHSA-2013-0958.html

Comment 3 errata-xmlrpc 2013-06-20 00:11:52 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2013:0957 https://rhn.redhat.com/errata/RHSA-2013-0957.html

Comment 4 Stefan Cornelius 2013-06-20 12:25:54 UTC
OpenJDK7 upstream repositories commit:

http://hg.openjdk.java.net/jdk7u/jdk7u-dev/jdk/rev/b1a2b9ac9714

Comment 5 errata-xmlrpc 2013-06-20 14:55:30 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:0963 https://rhn.redhat.com/errata/RHSA-2013-0963.html

Comment 7 errata-xmlrpc 2013-07-15 20:46:12 UTC
This issue has been addressed in following products:

  Supplementary for Red Hat Enterprise Linux 5
  Supplementary for Red Hat Enterprise Linux 6

Via RHSA-2013:1060 https://rhn.redhat.com/errata/RHSA-2013-1060.html


Note You need to log in before you can comment on or make changes to this bug.